Class for creating PPS's for OLE containers

author | Xavier Noguer
category | PHPExcel
package | PHPExcel_Shared_OLE

### Methods

## Returns the amount of data saved for this PPS

    _DataLen() : integer

access | public

### Returns

`integer`The amount of data (in bytes)

## The constructor

    __construct(integer $No, string $name, integer $type, integer $prev, integer $next, integer $dir, integer $time_1st, integer $time_2nd, string $data, array $children)

access | public

### Parameters

#### $No

`integer`

The PPS index

#### $name

`string`

The PPS name

#### $type

`integer`

The PPS type. Dir, Root or File

#### $prev

`integer`

The index of the previous PPS

#### $next

`integer`

The index of the next PPS

#### $dir

`integer`

The index of it's first child if this is a Dir or Root PPS

#### $time_1st

`integer`

A timestamp

#### $time_2nd

`integer`

A timestamp

#### $data

`string`

The (usually binary) source data of the PPS

#### $children

`array`

Array containing children PPS for this PPS

## Returns a string with the PPS's WK (What is a WK?)

    _getPpsWk() : string

access | public

### Returns

`string`The binary string

## Updates index and pointers to previous, next and children PPS's for this PPS.

    _savePpsSetPnt(array $raList, $to_save, $depth) : integer

Static

I don't think it'll work with Dir PPS's.

access | public

### Parameters

#### $raList

`array`

&$raList Reference to the array of PPS's for the whole OLE container

#### $to_save

#### $depth

### Returns

`integer`The index for this PPS

### Properties

##

    $DirPps : integer

##

    $Name : string

##

    $NextPps : integer

##

    $No : integer

##

    $PrevPps : integer

##

    $Size : integer

##

    $Time1st : integer

##

    $Time2nd : integer

##

    $Type : integer

Dir, Root or File

##

    $_StartBlock : integer

##

    $_data : string

##

    $children : array

##

    $ole : \OLE